#!/bin/bash
# Include the above line to make the script "executable"

# Comments start with a "#" they are ignored

# Remove the "#" to enable tracing
# set -x

# Copyright (c) 2019, 2020 All Rights Reserved Basement Supercomputing

# Bash variables, assigned below, use "=" (no spaces).
# When using the variable, prepend with  "$"  
# echo $SLEEPSHORT
# Note: NAMESERVER depends on your network, the IP address use 
# here will probably not work.

SLEEPSHORT=5 
NAMESERVER=192.168.93.1
NUMBERS="one two three four"

# How to get simple input
# printf can be used to print long lines of text, "\n" are carriage returns

printf "Example script \n
This program does nothing, It is good example  for creating scripts\n
Enter 'y' to continue, all other keys quit: "
# read from keyboard
read ANS
if [ "$ANS" != "y" ] ; then
  exit
fi
echo ""
echo "You have decided to continue!"

# run an external  program (ping) and inspect results

    /bin/ping -q -c 1 $NAMESERVER >& /dev/null
    if [ "$?" -ne 0 ]; then
         echo "The ping command did not work"
    else
         echo "The ping command worked"
    fi

# do a for loop

for N in $NUMBERS
do
 echo "The number is $N"
done

# include a variable in an echo statement

echo "I'm going to sleep for $SLEEPSHORT seconds"
sleep $SLEEPSHORT

# get results of an external command
# note the back ticks "`"

DATE=`date`
echo "Today is $DATE"

# exit the script, if not exit, the script will exit when there
# are no more lines

echo "Script is finished"
exit


